Skip to main content
GET
/
payout-list
List payout accounts
curl --request GET \
  --url https://aarwcjjzhlmkgdwrisyt.supabase.co/functions/v1/payout-list \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "status": 200,
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "bank_name": "Access Bank",
      "bank_code": "044",
      "account_number": "******6789",
      "account_name": "Ade Johnson",
      "is_default": true,
      "verified": true
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT access token obtained from /auth-verify (login context) or /auth-signup. Set the bearer_token environment variable in your API client to apply it globally.

Response

Payout accounts returned

success
boolean
Example:

true

status
integer
Example:

200

data
object[]